errs2: -$Id$
[nethome.git] / bin / errs2
index 974cdc0..17548cb 100755 (executable)
--- a/bin/errs2
+++ b/bin/errs2
@@ -1,12 +1,32 @@
-#! /bin/sh
-# $Id$
+#! /bin/bash
+
+renice +19 -p $$; ionice -c3 -p $$
 
 args=""
 if [ "$1" = "-a" ];then
        args="$args $1"
        shift
 fi
+out=errs2
+if [ "$1" = "-n" ];then
+       out="$2"
+       shift 2
+fi
+j=""
+cpus="`getconf _NPROCESSORS_ONLN`"
+if [ -n "$cpus" ];then
+       j="-j$[$cpus*3/2]"
+fi
+rm -f $out.ok
 (
        set -ex
-       make "$@"
-       ) 2>&1|tee $args errs2
+       time nice make $j "$@"
+       if [ -d gdb/testsuite ];then
+               make -C gdb/testsuite site.exp
+       fi
+       touch $out.ok
+       ) 2>&1|tee $args $out
+test -f $out.ok
+rc=$?
+rm -f $out.ok
+exit $rc